Bug 75257 - pico examples in GSG can confuse new users, since pico's not installed by default
Summary: pico examples in GSG can confuse new users, since pico's not installed by def...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rhl-gsg (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: noarch Linux
low
medium
Target Milestone: ---
Assignee: John Ha
QA Contact: John Ha
URL: http://www.redhat.com/docs/manuals/li...
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-06 06:34 UTC by Brett Dufault
Modified: 2014-08-04 22:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-06 06:34:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brett Dufault 2002-10-06 06:34:30 UTC
Description of Problem:
The Getting Started Guide uses pico as an example editor in several places, such as editing /etc/fstab for Windows partition access. The instructions in 
the GSG are very clear, and most new users are capable of following them.  But pico's not installed by default, at least not in RH 8.0, and this can be a 
bit confusing/frustrating for novices trying to follow the examples in the GSG.

Version-Release number of selected component (if applicable):
rhl-gsg-en-8.0-4

How Reproducible:
Every time.  (At least with novice users.)

Steps to Reproduce:
1. Tell new user to read the GSG for answer to common questions, such as having their Windows partition automatically mounted
2.  Send new user a link to a GSG page (such as the one I've put in the URL field of this form).

Actual Results:
1. New user reads GSG, tries to follow instructions
2. Runs 'pico /etc/fstab'
3. Gets "command not found" message
4. User comes back saying "Help!  It didn't work!  What did I do wrong?"

Expected Results:
1. New user reads GSG, follows instructions
2. Instructions work
3. Happy user!  :-)

Additional Information:
This isn't a major issue -- I'm just thinking that it would avoid some frustration for inexperienced users if the examples in the guides could be followed 
with a typical "straight out of the box" installation.  It seems like it'd be easy to tweak things a little to support this.  Some possible approaches:

- Change GSG to use vi for examples (I think vi's always installed, although some people might debate whether it's novice-friendly)

- Or perhaps add a section to the GSG telling user how to install pico.  (The new 8.0 Add/Remove util should make this a pleasantly painless task that 
anyone could handle.)  For extra friendliness points, add a link to the "Installing pico" page in other sections of the guide that use pico as an example 
editor.

- Or maybe just add pico (well, pine, really) to the list of packages that're installed by default

Comment 1 John Ha 2002-10-13 21:27:22 UTC
You raise a very good point. The documentation should reflect usage of the
applications included in a standard desktop installation, or at least
instructions on how to install the pine package to get pico. The next version of
the Getting Started Guide will be amended to add such instruction, depending on
the best approach to documenting text-editing issues for new users.

Thank you very much for your suggestions. The Getting Started Guide will
continue to improve due in large part to great reader feedback.


Note You need to log in before you can comment on or make changes to this bug.